from flask import Flask
from flask_cors import CORS

def create_app(config_class=None):
    """Create and configure the Flask application."""
    app = Flask(__name__)
    
    # Configure app
    if config_class:
        app.config.from_object(config_class)
    
    # Enable CORS
    CORS(app)
    
    # Initialize extensions
    # TODO: Add any Flask extensions here
    
    # Register blueprints
    from app.routes import hl7_bp, xml_bp
    app.register_blueprint(hl7_bp)
    app.register_blueprint(xml_bp)
    
    return app
