from app import create_app
from config import config
from app.utils.hl7_receiver import HL7Receiver

# Create Flask application
app = create_app(config['default'])

# Initialize HL7 receiver
hl7_receiver = HL7Receiver()
hl7_receiver.start()

if __name__ == '__main__':
    try:
        app.run(debug=True)
    except KeyboardInterrupt:
        hl7_receiver.stop() 